<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/Processors/__init__.py.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Processors/__init__.py</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/Processors/__init__.py</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="py-string">&quot;&quot;&quot;ASG processors.</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="py-string"/></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="py-string">There is much that can be done to an ASG to manipulate it. This includes:</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="py-string">merging multiple ASG trees, mapping links to different languages, pruning the</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="py-string">tree, mapping names to different scopes, and dealing with comment prefixes and</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="py-string">groupings.&quot;&quot;&quot;</span></span>
<a id="line7"></a><span class="lineno"> 7</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line"><span class="py-keyword">from</span> Linker <span class="py-keyword">import</span> *</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line"><span class="py-keyword">from</span> ScopeStripper <span class="py-keyword">import</span> *</span>
<a id="line10"></a><span class="lineno">10</span><span class="line"><span class="py-keyword">from</span> NameMapper <span class="py-keyword">import</span> *</span>
<a id="line11"></a><span class="lineno">11</span><span class="line"><span class="py-keyword">from</span> MacroFilter <span class="py-keyword">import</span> *</span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="py-keyword">from</span> ModuleFilter <span class="py-keyword">import</span> *</span>
<a id="line13"></a><span class="lineno">13</span><span class="line"><span class="py-keyword">from</span> SXRCompiler <span class="py-keyword">import</span> *</span>
<a id="line14"></a><span class="lineno">14</span><span class="line"><span class="py-keyword">from</span> AccessRestrictor <span class="py-keyword">import</span> *</span>
<a id="line15"></a><span class="lineno">15</span><span class="line"><span class="py-keyword">from</span> TypedefFolder <span class="py-keyword">import</span> *</span>
<a id="line16"></a><span class="lineno">16</span><span class="line"><span class="py-keyword">from</span> TypeMapper <span class="py-keyword">import</span> *</span>
<a id="line17"></a><span class="lineno">17</span><span class="line"><span class="py-keyword">from</span> TemplateLinker <span class="py-keyword">import</span> TemplateLinker</span>
<a id="line18"></a><span class="lineno">18</span><span class="line"><span class="py-keyword">import</span> Comments</span>
<a id="line19"></a><span class="lineno">19</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:27:16 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
